package com.zcxk.service;


import com.zcxk.dto.ReportStatisticalDimensionDto;
import com.zcxk.entity.ReportDimensionSettingEntity;

import java.util.List;

public interface ReportDimensionSettingService {

    List<ReportDimensionSettingEntity> findDimensionSetting(Integer userId);

    List<ReportDimensionSettingEntity> findHistoryDataDimensionSetting(Integer userId);

    /**
     * 批量修改统计维度信息
     * @return
     */
    void batchUpdateStatisticalDimension(List<ReportStatisticalDimensionDto> statisticalDimensionDtos);
}
